> ## Documentation Index
> Fetch the complete documentation index at: https://docs.n-3.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Find projects



## OpenAPI

````yaml get /projects
openapi: 3.0.0
info:
  title: Naismith Analytics API
  description: The N3 API
  version: '0.1'
  contact: {}
servers: []
security: []
tags: []
paths:
  /projects:
    get:
      tags:
        - Projects
      summary: Find projects by environment
      operationId: findProjectsByEnvironment
      parameters:
        - name: env
          required: true
          in: query
          example: 8
          schema:
            format: int64
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                title: PaginatedResponseOfListProjectDto
                allOf:
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/ListProjectDto'
                  - properties:
                      meta:
                        type: object
                        properties:
                          total:
                            type: number
                          lastPage:
                            type: number
                          currentPage:
                            type: number
                          perPage:
                            type: number
                          prev:
                            type: number
                          next:
                            type: number
      security:
        - bearer: []
components:
  schemas:
    ListProjectDto:
      type: object
      properties:
        id:
          format: int64
          type: integer
        name:
          type: string
        project_reference:
          type: string
        description:
          type: string
        project_status:
          type: string
          enum:
            - PENDING
            - IN_PROGRESS
            - DEFECTS_CORRECTION
            - COMPLETED
            - PRE_CONTRACT
            - NOT_YET_SECURED
          example: IN_PROGRESS
          default: PENDING
      required:
        - id
        - name
        - project_reference
        - description
        - project_status
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````